<?xml version="1.0" encoding="utf-8" ?>
<!-- SQL XML created by WWW SQL Designer, https://github.com/ondras/wwwsqldesigner/ -->
<!-- Active URL: http://127.0.0.1:8080/ -->
<sql>
<datatypes db="mysql">
	<group label="Numeric" color="rgb(238,238,170)">
		<type label="Integer" length="0" sql="INTEGER" quote=""/>
	 	<type label="TINYINT" length="0" sql="TINYINT" quote=""/>
	 	<type label="SMALLINT" length="0" sql="SMALLINT" quote=""/>
	 	<type label="MEDIUMINT" length="0" sql="MEDIUMINT" quote=""/>
	 	<type label="INT" length="0" sql="INT" quote=""/>
		<type label="BIGINT" length="0" sql="BIGINT" quote=""/>
		<type label="Decimal" length="1" sql="DECIMAL" re="DEC" quote=""/>
		<type label="Single precision" length="0" sql="FLOAT" quote=""/>
		<type label="Double precision" length="0" sql="DOUBLE" re="DOUBLE" quote=""/>
	</group>

	<group label="Character" color="rgb(255,200,200)">
		<type label="Char" length="1" sql="CHAR" quote="'"/>
		<type label="Varchar" length="1" sql="VARCHAR" quote="'"/>
		<type label="Text" length="0" sql="MEDIUMTEXT" re="TEXT" quote="'"/>
		<type label="Binary" length="1" sql="BINARY" quote="'"/>
		<type label="Varbinary" length="1" sql="VARBINARY" quote="'"/>
		<type label="BLOB" length="0" sql="BLOB" re="BLOB" quote="'"/>
	</group>

	<group label="Date &amp; Time" color="rgb(200,255,200)">
		<type label="Date" length="0" sql="DATE" quote="'"/>
		<type label="Time" length="0" sql="TIME" quote="'"/>
		<type label="Datetime" length="0" sql="DATETIME" quote="'"/>
		<type label="Year" length="0" sql="YEAR" quote=""/>
		<type label="Timestamp" length="0" sql="TIMESTAMP" quote="'"/>
	</group>
	
	<group label="Miscellaneous" color="rgb(200,200,255)">
		<type label="ENUM" length="1" sql="ENUM" quote=""/>
		<type label="SET" length="1" sql="SET" quote=""/>
		<type label="Bit" length="0" sql="bit" quote=""/>
	</group>
</datatypes><table x="1241" y="636" name="ContattoAziendale">
<row name="personafisica_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="PersonaFisica" row="soggettocontattabile_ptr" />
</row>
<row name="azienda" null="0" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="is_personale" null="0" autoincrement="0">
<datatype>bit</datatype>
<default>True</default></row>
<key type="PRIMARY" name="">
<part>personafisica_ptr</part>
</key>
</table>
<table x="2048" y="345" name="Recapito">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="soggetto" null="0" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="SoggettoContattabile" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="1820" y="205" name="Telefono">
<row name="contattorubrica_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Recapito" row="id" />
</row>
<row name="numero" null="0" autoincrement="0">
<datatype>VARCHAR(20)</datatype>
<default>'NULL'</default></row>
<row name="interno" null="1" autoincrement="0">
<datatype>VARCHAR(20)</datatype>
<default>NULL</default></row>
<row name="note" null="1" autoincrement="0">
<datatype>VARCHAR(64)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>contattorubrica_ptr</part>
</key>
</table>
<table x="2050" y="220" name="Email">
<row name="contattorubrica_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Recapito" row="id" />
</row>
<row name="indirizzo_email" null="0" autoincrement="0">
<datatype>VARCHAR(30)</datatype>
<default>'NULL'</default></row>
<row name="note" null="1" autoincrement="0">
<datatype>VARCHAR(64)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>contattorubrica_ptr</part>
</key>
</table>
<table x="1525" y="605" name="PersonaFisica">
<row name="soggettocontattabile_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="SoggettoContattabile" row="id" />
</row>
<row name="titolo" null="1" autoincrement="0">
<datatype>VARCHAR(10)</datatype>
<default>NULL</default></row>
<row name="nome" null="0" autoincrement="0">
<datatype>VARCHAR(60)</datatype>
<default>'NULL'</default></row>
<row name="cognome" null="0" autoincrement="0">
<datatype>VARCHAR(60)</datatype>
<default>'NULL'</default></row>
<row name="is_privato" null="0" autoincrement="0">
<datatype>bit</datatype>
<default>True</default></row>
<key type="PRIMARY" name="">
<part>soggettocontattabile_ptr</part>
</key>
</table>
<table x="1861" y="590" name="PersonaGiuridica">
<row name="soggettocontattabile_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="SoggettoContattabile" row="id" />
</row>
<row name="denominazione" null="0" autoincrement="0">
<datatype>VARCHAR(80)</datatype>
<default>'NULL'</default></row>
<key type="PRIMARY" name="">
<part>soggettocontattabile_ptr</part>
</key>
</table>
<table x="1434" y="259" name="Sede">
<row name="indirizzo_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Indirizzo" row="contattorubrica_ptr" />
</row>
<row name="societa" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Societa" row="id" />
</row>
<row name="is_legale" null="1" autoincrement="0">
<datatype>bit</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>indirizzo_ptr</part>
</key>
</table>
<table x="1823" y="349" name="Fax">
<row name="contattorubrica_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Recapito" row="id" />
</row>
<row name="numero" null="1" autoincrement="0">
<datatype>VARCHAR(20)</datatype>
<default>NULL</default></row>
<row name="note" null="1" autoincrement="0">
<datatype>VARCHAR(64)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>contattorubrica_ptr</part>
</key>
</table>
<table x="2098" y="148" name="Pec">
<row name="email_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Email" row="contattorubrica_ptr" />
</row>
<key type="PRIMARY" name="">
<part>email_ptr</part>
</key>
</table>
<table x="1795" y="486" name="SoggettoContattabile">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="2033" y="81" name="Indirizzo">
<row name="contattorubrica_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Recapito" row="id" />
</row>
<key type="PRIMARY" name="">
<part>contattorubrica_ptr</part>
</key>
<comment>&lt;AbstractIndirizzo&gt;</comment>
</table>
<table x="1288" y="415" name="Societa">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="nazione" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="soggetto" null="0" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="SoggettoContattabile" row="id" />
</row>
<row name="ragione_sociale" null="1" autoincrement="0">
<datatype>VARCHAR(1024)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
</sql>
